Skip to main content
`Ctrl`+`K`

# PetscProbFn

A prototype of a PDF or CDF used with PETSc probability operations whose names begin with `PetscProb` such as `PetscProbComputeKSStatistic()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PetscProbFn(const PetscReal x[], const PetscReal scale[], PetscReal result[]);

## Calling Sequence

- x - input value

- scale - scale factor, I don’t know what this is for

- result - the value of the PDF or CDF at the input value

## Developer Note

Why does this take an array argument for `result` when it seems to be able to output a single value?

## See Also

`PetscProbComputeKSStatistic()`, `PetscProbComputeKSStatisticWeighted()`, `PetscPDFMaxwellBoltzmann1D()`

## Level

beginner

## Location

include/petscdt.h

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages